# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit git-2

DESCRIPTION="A nonintrusive zsh prompt that provides useful data like pwd, git info and system stats to the user."

HOMEPAGE="https://git.covalent.cz/overwatch/over-prompt"
SRC_URI=""
export GIT_SSL_NO_VERIFY=true # git.covalent.cz has a self-signed cert for now
EGIT_REPO_URI="https://git.covalent.cz/overwatch/over-prompt.git"

LICENSE="AOJSL"
SLOT="0"
KEYWORDS="x86 amd64"

src_compile() {
	g++ -ansi -Wall -o data data.cpp
}

src_install() {
	insinto /usr/share/${PN}
	insopts -m755
	doins data
	doins zsh-init
	
	insinto /usr/share/i18n/locales/
	doins en_OV
}

pkg_postinst() {
	einfo "Source /usr/share/${PN}/zsh-init to enable the prompt."
	einfo "If you wish, write the following into /etc/over/prompt.cfg:"
	einfo ""
	einfo "export OVER_PROMPT_OPTS=\"A B C\""
	einfo ""
	einfo "where A is the percentage at which your free space indicator turns"
	einfo "yellow, B is the threshold for red color, and C is either 'short' or"
	einfo "'long' (without the quotes), indicating whether you want to display"
	einfo "short or long mount point names. The default is \"20 10 short\"."
}
